# Class GcBiasUtils

java.lang.Object
picard.analysis.GcBiasUtils

public class GcBiasUtils extends Object
Utilities to calculate GC Bias Created by kbergin on 9/23/15.

## Constructor Summary

Constructors
Constructor
Description
`GcBiasUtils()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`calculateAllGcs(byte[] refBases, int lastWindowStart, int windowSize)`
//////////////////////////////////////////////////////////////////////////
`static int`
`calculateGc(byte[] bases, int startIndex, int endIndex, picard.analysis.GcBiasUtils.CalculateGcState state)`
//////////////////////////////////////////////////////////////////////////
`static int[]`
`calculateRefWindowsByGc(int windows, File referenceSequence, int windowSize)`
//////////////////////////////////////////////////////////////////////////

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GcBiasUtils

public GcBiasUtils()

## Method Details

### calculateGc

public static int calculateGc(byte[] bases, int startIndex, int endIndex, picard.analysis.GcBiasUtils.CalculateGcState state)
//////////////////////////////////////////////////////////////////////////

### calculateRefWindowsByGc

public static int[] calculateRefWindowsByGc(int windows, File referenceSequence, int windowSize)
//////////////////////////////////////////////////////////////////////////

### calculateAllGcs

public static byte[] calculateAllGcs(byte[] refBases, int lastWindowStart, int windowSize)
//////////////////////////////////////////////////////////////////////////